Bug 147791 - emacs should PreReq on /usr/sbin/alternatives
emacs should PreReq on /usr/sbin/alternatives
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 06:52 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 21.3-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 03:46:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2005-02-11 06:52:42 EST
There is no dependency on /usr/sbin/alternatives (part of chkconfig),
which is required in package scripts.

I suggest to add a file dependency (not a package dependency) like

PreReq: /usr/sbin/alternatives

(see also bugs #136137 and #136137 for related discussions on
alternatives in emacs)

Thanks.
Comment 1 Jens Petersen 2005-02-11 13:01:55 EST
Which subpackage is causing you problems?  I see:

% rpm -q --requires emacs-common|grep alternative
/usr/sbin/alternatives
Comment 2 Axel Thimm 2005-02-11 16:01:08 EST
Yes, you are right. I checked the specfile, and the real issue is that
Requires(pre, post) does not behave as it should. Instead PreReq does
the job.

Here is a log of a today's installation on FC3 of emacs and some other
rpms. As you see the ordering of emacs-common vs chkconfig is not correct.

emacs-common               
##################################################
/var/tmp/rpm-tmp.41070: line 4: alternatives: command not found
error: %post(emacs-common-21.3-17.i386) scriptlet failed, exit status 127
pkgconfig                  
##################################################
glib2-devel                
##################################################
libstdc++-devel            
##################################################
gcc-c++                    
##################################################
libttf2                    
##################################################
freetype                   
##################################################
chkconfig                  
##################################################
xorg-x11-libs              
##################################################
Comment 3 Jens Petersen 2005-02-13 10:49:33 EST
Out of curiousity, what are you using to upgrade with?

emacs-21.3-22 should have the fix.
Comment 4 Axel Thimm 2005-02-13 11:06:32 EST
Thanks.

Wrt to the depsolver used for the output above: I'm not 100% sure, but I think
the above log was from apt-get. If not it was yum or smart.

Do you think that matters? AFAIU all pass on the transaction itself to rpmlib
these days, and rpmlib computes the ordering.
Comment 5 Ville Skyttä 2005-02-14 17:07:43 EST
I don't think apt-get plays a role in that.

The "Requires(pre,post)" syntax is known to be buggy in rpm. 
Splitting that to two, ie. "Requires(pre)" and "Requires(post)" or
using PreReq which is almost the same thing should work.

http://www.redhat.com/archives/fedora-devel-list/2004-April/msg00674.html
(See the two Bugzilla pointers at end of that message)

Note You need to log in before you can comment on or make changes to this bug.